## bluelog 1.1.2

=== Makefile ===
# App info
APPNAME = bluelog
VERSION = 1.1.2

# Determines which CSS theme to use as default
# Options: bluelog.css digifail.css, backtrack.css, pwnplug.css, openwrt.css, lcars.css
DEFAULT_CSS = bluelog.css

# Debug Targets
# Options: -DOPENWRT, -DPWNPLUG, -DPWNPAD
#TARGET = -DPWNPAD

# Compiler and options
CC = gcc
CFLAGS += -Wall -O2 $(TARGET)

# Libraries to link
LIBS = -lbluetooth -lm

# Files
DOCS = ChangeLog COPYING README README.LIVE

# Livelog.cgi prefix
CGIPRE = www/cgi-bin/

# Targets
# Build Bluelog
bluelog: bluelog.c
	$(CC) $(CFLAGS) bluelog.c $(LIBS) -o $(APPNAME)

# Build CGI module
livelog: livelog.c
	$(CC) $(CFLAGS) livelog.c -o $(CGIPRE)livelog.cgi

# Download OUI file
ouifile:
	./gen_oui.sh check

# Build tarball
release: clean
	tar --exclude='.*' -C ../ -czvf /tmp/$(APPNAME)-$(VERSION).tar.gz $(APPNAME)-$(VERSION)

# Clean for dist
clean:
	rm -rf $(APPNAME) $(CGIPRE)livelog.cgi *.o *.txt *.log *.gz *.cgi

# Install to system
install: bluelog livelog ouifile
	mkdir -p $(DESTDIR)/usr/bin/
	mkdir -p $(DESTDIR)/usr/share/doc/$(APPNAME)-$(VERSION)/
	mkdir -p $(DESTDIR)/usr/share/man/man1
	mkdir -p $(DESTDIR)/usr/share/$(APPNAME)/
	cp $(APPNAME) $(DESTDIR)/usr/bin/
	cp -a $(DOCS) $(DESTDIR)/usr/share/doc/$(APPNAME)-$(VERSION)/
	gzip -c $(APPNAME).1 >> $(APPNAME).1.gz
	cp $(APPNAME).1.gz $(DESTDIR)/usr/share/man/man1/
	cp oui.txt $(DESTDIR)/usr/share/$(APPNAME)/
	cp -a --no-preserve=ownership www/* $(DESTDIR)/usr/share/$(APPNAME)/
	cd $(DESTDIR)/usr/share/$(APPNAME)/ ; ln -sf $(DEFAULT_CSS) style.css

# Install without Bluelog Live or OUI
standalone:
	$(CC) $(CFLAGS) -DNOLIVE -DNOOUI bluelog.c $(LIBS) -o $(APPNAME)
	mkdir -p $(DESTDIR)/usr/bin/
	mkdir -p $(DESTDIR)/usr/share/doc/$(APPNAME)-$(VERSION)/
	mkdir -p $(DESTDIR)/usr/share/man/man1
	mkdir -p $(DESTDIR)/usr/share/$(APPNAME)/
	cp $(APPNAME) $(DESTDIR)/usr/bin/
	cp -a $(DOCS) $(DESTDIR)/usr/share/doc/$(APPNAME)-$(VERSION)/
	gzip -c $(APPNAME).1 >> $(APPNAME).1.gz
	cp $(APPNAME).1.gz $(DESTDIR)/usr/share/man/man1/

# Build for Pwn Plug
pwnplug: removeold
	$(CC) $(CFLAGS) -DPWNPLUG bluelog.c $(LIBS) -o $(APPNAME)
	$(CC) $(CFLAGS) -DPWNPLUG livelog.c -o $(CGIPRE)livelog.cgi
	mkdir -p $(DESTDIR)/usr/bin/
	mkdir -p $(DESTDIR)/var/www/$(APPNAME)/images
	cp $(APPNAME) $(DESTDIR)/usr/bin/
	cp --no-preserve=ownership www/*.html $(DESTDIR)/var/www/$(APPNAME)/
	cp --no-preserve=ownership -a www/cgi-bin $(DESTDIR)/var/www/
	cp --no-preserve=ownership www/pwnplug.css $(DESTDIR)/var/www/$(APPNAME)/style.css
	cp --no-preserve=ownership www/images/favicon.png $(DESTDIR)/var/www/$(APPNAME)/images/
	cp --no-preserve=ownership www/images/email.png $(DESTDIR)/var/www/$(APPNAME)/images/
	cp --no-preserve=ownership www/images/qrcontact.png $(DESTDIR)/var/www/$(APPNAME)/images/
	cp --no-preserve=ownership www/images/pwnplug_logo.png $(DESTDIR)/var/www/$(APPNAME)/images/

# Build for Pwn Pad
pwnpad: removeold ouifile
	$(CC) $(CFLAGS) -DPWNPAD bluelog.c $(LIBS) -o $(APPNAME)
	mkdir -p $(DESTDIR)/usr/bin/
	mkdir -p $(DESTDIR)/usr/share/$(APPNAME)/
	cp oui.txt $(DESTDIR)/usr/share/$(APPNAME)/
	cp $(APPNAME) $(DESTDIR)/usr/bin/

# Upgrade from previous source install
upgrade: removeold install

# Remove current version from system
uninstall:
	rm -rf $(DESTDIR)/usr/share/doc/$(APPNAME)-$(VERSION)/
	rm -f $(DESTDIR)/usr/share/man/man1/$(APPNAME).1.gz
	rm -rf $(DESTDIR)/usr/share/$(APPNAME)/
	rm -f $(DESTDIR)/usr/bin/$(APPNAME)

# Remove older versions
removeold:
	rm -rf $(DESTDIR)/usr/share/doc/$(APPNAME)*
	rm -f $(DESTDIR)/usr/share/man/man1/$(APPNAME).1.gz
	rm -rf $(DESTDIR)/usr/share/$(APPNAME)*
	rm -rf $(DESTDIR)/var/lib/$(APPNAME)*
	rm -f $(DESTDIR)/usr/bin/$(APPNAME)

=== debian/changelog ===
bluelog (1.1.2-1kali3) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace
  * Update standards version to 4.6.1, no changes needed
  [ Ben Wilson ]
  * Add Uploaders
  * Remove template comment and switch spaces to tabs
  [ Steev Klimaszewski ]
  * Update Debian watch file
  * Add myself to Uploaders
  * Add lintian-overrides
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Mon, 07 Nov 2022 16:32:36 -0600

bluelog (1.1.2-1kali2) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Use package ieee-data
  * Bump Standards-Version to 4.5.1
  * Use debhelper-compat 13
  * Remove useless build-depends on essential package sed

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 15 Jun 2021 11:52:54 +0200

bluelog (1.1.2-1kali1) kali; urgency=low

  * Updated build depends

 -- Devon Kearns <dookie@kali.org>  Wed, 08 Jan 2014 12:02:30 -0700

bluelog (1.1.2-1kali0) kali; urgency=low

  * Imported new upstream release and updated watch file
  * (Closes: 0000847)

 -- Devon Kearns <dookie@kali.org>  Wed, 08 Jan 2014 11:50:16 -0700

bluelog (1.1.0-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Sat, 12 Jan 2013 07:11:37 -0700

=== debian/control ===
Source: bluelog
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
           Steev Klimaszewski <steev@kali.org>,
Build-Depends: debhelper-compat (= 13), bluez, libbluetooth-dev, wget, mawk
Standards-Version: 4.6.1
Homepage: http://www.digifail.com/software/bluelog.shtml
Vcs-Git: https://gitlab.com/kalilinux/packages/bluelog.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/bluelog

Package: bluelog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez, libbluetooth-dev, ieee-data
Description: Bluetooth scanner and logger
 Bluelog is a Bluetooth scanner designed to tell you how
 many discoverable devices there are in an area as quickly
 as possible. It is intended to be used as a site survey
 tool, identifying the number of possible Bluetooth targets
 there are in the surrounding environment.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	mkdir -p www/cgi-bin
	gcc -Wall -O2  livelog.c -o www/cgi-bin/livelog.cgi

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bluelog-$1\.tar\.gz/ \
  https://github.com/MS3FGX/Bluelog/tags .*/v?(\d\S*)\.tar\.gz
